{% extends 'basestorydelapan.html' %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body style="background-color: #debfb5;">
    <div class="container">
        <br><br>
        <h2 style="text-align: center;">BOOKS</h2> <br>
        <form>
            <div class="row justify-content-md-center">
                <input type="text" class="form-control" id="keyword" placeholder="What book would you like to find?">
            </div>
        </form>
        
        <br><br>
        <div class="table-responsive table-borderless table-striped">
            <table class="table table-hover">
                <thead id="header">
                    <tr>
                        <th scope="col">Cover</th>
                        <th scope="col">Title</th>
                        <th scope="col">Author</th>
                        <th scope="col">Publisher</th>
                        <th scope="col">Published Date</th>
                    </tr>
                </thead>
                <tbody id="result"> 
                </tbody>
            </table>
        </div>
    </div>

    <script type="text/javascript">
        $("#keyword").keyup( function(){
            var query = $("#keyword").val();
            var url = '/data?q=' + query;
            console.log(query);
            $.ajax({
                url: 'https://www.googleapis.com/books/v1/volumes?q=' + query,
                success: function(data) {
                    console.log(data);
                    var array_items = data.items;
                    $("#result").empty();
                    for (i = 0; i < array_items.length; i++) {
                        var link = array_items[i].volumeInfo.previewLink;
                        var cover = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                        var title = array_items[i].volumeInfo.title;
                        var author = array_items[i].volumeInfo.authors[0];
                        publisher = array_items[i].volumeInfo.publisher;
                        published_date = array_items[i].volumeInfo.publishedDate;
                        $("#result").append("<tr>" + 
                            "<td><img src='" + cover + "'></td>" +
                            "<td><a class='text-danger' target='_blank' href='" + link + "'>" + title + "</a></td>" + 
                            "<td>" + author + "</td>" +
                            "<td>" + publisher + "</td>" +
                            "<td>" + published_date + "</td>" +
                            "</tr>");
                    }
                }
            });
        });
    </script>

</body>
{% endblock %}